Summary:	HarfBuzz - internationalized text shaping library - MinGW32 cross version
Summary(pl.UTF-8):	Rasteryzer fontów TrueType - wersja skrośna dla MinGW32
Name:		crossmingw32-harfbuzz
Version:	0.9.25
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://www.freedesktop.org/software/harfbuzz/release/harfbuzz-%{version}.tar.bz2
# Source0-md5:	491b631239f51dcd4f7934775306c4e7
Patch0:		harfbuzz-mingw32.patch
URL:		http://www.freedesktop.org/wiki/HarfBuzz
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1:1.13
BuildRequires:	crossmingw32-cairo >= 1.8.0
BuildRequires:	crossmingw32-freetype >= 2.3.8
BuildRequires:	crossmingw32-glib2 >= 2.16
BuildRequires:	crossmingw32-gcc-c++
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.20
Requires:	crossmingw32-cairo >= 1.8.0
Requires:	crossmingw32-freetype >= 2.3.8
Requires:	crossmingw32-glib2 >= 2.16
Requires:	crossmingw32-gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# see <harfbuzz/internal/ftserv.h>, the real horror
%define		specflags	-fno-strict-aliasing

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*
%define		filterout_cxx	-f[-a-z0-9=]*

%description
Internationalized OpenType text layout and rendering library.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka rozmieszczająca i rysująca tekst z fontów OpenType,
obsługująca wiele języków.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static harfbuzz library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka harfbuzz (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static harfbuzz library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka harfbuzz (wersja skrośna MinGW32).

%package dll
Summary:	DLL harfbuzz library for Windows
Summary(pl.UTF-8):	Biblioteka DLL harfbuzz dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-cairo-dll >= 1.8.0
Requires:	crossmingw32-freetype-dll >= 2.3.8
Requires:	crossmingw32-glib2-dll >= 2.16
Requires:	wine

%description dll
DLL harfbuzz library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL harfbuzz dla Windows.

%prep
%setup -q -n harfbuzz-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
export PKG_CONFIG_LIBDIR=%{_pkgconfigdir}
%configure \
	--target=%{target} \
	--build=i686-pc-linux-gnu \
	--host=%{target} \
	--disable-gtk-doc \
	--disable-silent-rules \
	--enable-static \
	--with-cairo \
	--with-freetype \
	--with-glib \
	--without-graphite2 \
	--with-html-dir=%{_gtkdocdir} \
	--without-icu \
	--with-uniscribe

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%{_libdir}/libharfbuzz.dll.a
%{_libdir}/libharfbuzz.la
%{_includedir}/harfbuzz
%{_pkgconfigdir}/harfbuzz.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libharfbuzz.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libharfbuzz-*.dll
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-harfbuzz.git;a=log;h=master

* Sat Dec 07 2013 Jakub Bogusz <qboosh@pld-linux.org> d1ab387
- updated to 0.9.25

* Thu Nov 14 2013 Jakub Bogusz <qboosh@pld-linux.org> c1f5955
- updated to 0.9.24

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 7d25dbd
- release 2 (libpng 1.6 rebuild)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 16106ed
- updated to 0.9.23

* Sun Oct 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 4afa73a
- updated to 0.9.22

* Thu Sep 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 3621153
- updated to 0.9.21

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 2bcfc9b
- updated to 0.9.20

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 2f67740
- updated to 0.9.19
- removed obsolete noicu patch

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 15a364e
- updated to 0.9.18
- added noicu patch to fix build without ICU library

* Fri May 24 2013 Jakub Bogusz <qboosh@pld-linux.org> cae9d88
- updated to 0.9.17

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 94aebac
- do not require pkgconfig deps either

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 831e58a
- Merge branch 'master' of git://git.pld-linux.org/packages/crossmingw32-harfbuzz

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 648455c
- updated to 0.9.16

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 16d7336
- do not provide pkgconfig deps in system namespace

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> f9ba0ec
- updated to 0.9.15
- added mingw32 patch (avoid snprintf->_snprintf rename for mingw32)
- avoid detecting host icu when cross-compiling

* Wed Feb 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 2bdb905
- updated to 0.9.13

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b66028
- updated to 0.9.12

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 071ccca
- updated to 0.9.11

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 83533b3
- updated to 0.9.10

* Sat Dec 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 6b3eee4
- updated to 0.9.9
- removed obsolete void patch

